# MLPCARDGAME

[![Build Status](https://drone.zyg.ovh/api/badges/mcg/mlpcardgame/status.svg)](https://drone.zyg.ovh/mcg/mlpcardgame)

Work in progress name, work in progress game

Try the latest build here: [mcg-builds.zyg.ovh/latest](https://mcg-builds.zyg.ovh/latest/)

## Development

### Dependencies

Fetch dependencies with `yarn`:

```sh
yarn --dev
```

### Run local server for development

Run this command:

```sh
yarn serve
```

then visit [localhost:8080](http://localhost:8080) (URL might be different if something is already listening on port 8080)

### Run tests

Run unit tests with Jest:

```sh
yarn test:unit
```

Generate a coverage profile with:

```sh
yarn test:unit --coverage
```

### Lint code

Before you submit a PR, make sure the code is formatted correctly with:

```sh
yarn lint
```

## Building for release

### Build

```sh
yarn build
```

## License

Code is ISC, Assets "depends", some stuff is taken from FreeSound and DeviantArt so your best bet is to just praise the copyright gods.

PeerJS mocking is based on works by Rolf Erik Lekang, which is licensed under MIT. Check [peerjs-mock](https://github.com/relekang/peerjs-mock) for more details.
