import { Session } from "@/mlpccg/draft";
import { Card } from "@/mlpccg";

export interface DraftState {
  session?: Session;

  pod: PlayerStatus[];
  cards: Card[];
  picks: Card[];

  // Multiple pack draft
  packCount: number;
  currentPack: number;
}

export interface PlayerStatus {
  name: string;
  isBot: boolean;
  isMe: boolean;
  picked: boolean;
}
